* {
    margin: 0;
    padding: 0;
    border: 0;
    font-family: 'Rubik', sans-serif;
}


@import url('https://fonts.googleapis.com/css2?family=Rubik:wght@300;400;500;600;700;800;900&display=swap');



 /*  Cabeçalho  */
header {
    background-color: #3C1C5B;
    align-content: center;
    margin: 0px;
    padding: 0px;
    height: 100px;
    width: 100%;
    display: flex;
    justify-content: center;   
    z-index: 200;
}


body {
    margin: 0px;
    padding: 0px;
}

.logofilmes {
    width: 200px;
    margin: 18px;
    padding-top: 8px;   
}

 /*  Inicio  */

.reel {  
    
    width: 100%;
    height: 90vh;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center; 
    background-color: #371a55;
    
  
}
.reelvideo {
    width: 100%;
    height: 100%;   
}

.reelvideo video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}



.reeltexto {
    position: absolute;
    justify-content: center;
    
}
.reeltexto > h1 {
    
    text-transform: uppercase;
    color: rgb(255, 255, 255);
    font-size: 50px;
    font-weight: 700;
    text-align: center;
    line-height: 55px;
    
}
.reeltexto > h2 {

    color: #f098c6;
    padding: auto;
    font-size: 35px;
    font-weight: 300;
    text-align: center;
    line-height: 40px;
    
}

.reelimage{
    display: flex;
    justify-content: center;
}

.reelimage img{
    position: relative;
    top: 50px;
    width: 100px;
    margin: auto; 
    animation: jumping 1.2s linear infinite;
    cursor: pointer;
    z-index: 2;
}

@keyframes jumping {
    from {transform: translateY(-30px);}
    50% {transform: translateY(0);}
    to {transform: translateY(-30px);}
}

.reelimage:hover {
    border-style: solid;
    border-radius: 50%;
}

 /*  Portfolio  */

.videos {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    background-color: #3C1C5B;

}


.videomenor {
    position: relative;
    width: 40%;
    height: 320px;
    overflow: hidden;
}

.videomaior {
    position: relative;
    width: 60%;
    height: 320px;
    overflow: hidden;
}

.video-thumb > video {
    width: 100%;
    height: 320px;
    object-fit: cover;
    cursor: pointer;
    
}
.videomenor::before {
    content: attr(data-text);
    font-size: 40px;
    font-weight: 600;
    text-shadow: 1px 5px 20px rgba(0, 0, 0, 0.397);
    position: absolute;
    top: 210px;
    left: 20px;
    width: 100%;
    height: 30%;
    color: #ffffffe3;
    display: block;
    padding-left: 25px;
    opacity: 0;
    transform: translateY(20px);
    transition: 0.4s;       
}
.videomaior::before {
    content: attr(data-text);
    font-size: 40px;
    font-weight: 600;
    text-shadow: 1px 5px 20px rgba(46, 22, 0, 0.5);
    position: absolute;
    top: 210px;
    left: 20px;
    width: 100%;
    height: 30%;
    color: #ffffffe3;
    display: block;
    padding-left: 25px;
    opacity: 0;
    transform: translateY(20px);
    transition: 0.4s;
}

.video-thumb::before {
    content: attr(data-text);
    font-size: 20px;
    font-weight: 300;
    text-shadow: 1px 5px 20px rgba(0, 0, 0, 0.425);
    position: absolute;
    top: 260px;
    left: 20px;
    width: 100%;
    height: 30%;
    color: #ffffffe3;
    display: block;
    padding-left: 25px;
    opacity: 0;
    transform: translateY(20px);
    transition: 0.4s;       
}

.videomenor:hover::before {
    opacity: 1;
    transform: translateY(0px);
}
.videomaior:hover::before {
    opacity: 1;
    transform: translateY(0px);
}
.video-thumb:hover::before {
    opacity: 1;
    transform: translateY(0px);
}

 /*  Descrição  */


.discricao {
    background-color: #3C1C5B;
    padding-bottom: 10px;
    padding-top: 40px;
    text-align: center;
    margin: auto;

    
}

.quemsomos {
    max-width: 50%;
    display: block;
    margin: auto;
    justify-content: center;
    align-items: center;
    padding-bottom: 40px;
    border-bottom: 1px solid #f098c6;
    
}

.quemsomos > h1 {
    text-transform: uppercase;
    color: #1DE0A0;
    padding: 0px 80px 10px 80px;
    font-size: 30px;
    font-weight: 300;
    margin: auto;
    
}

.quemsomos > p {
    color: #f7f1e6;
    font-size: 18px;
    font-weight: 300;

}
.aqueviemos {
    max-width: 50%;
    justify-content: center;
    align-items: center;
    border-bottom: 1px solid #f098c6;
    margin: auto;
    padding-top: 40px;
    padding-bottom: 40px;

}

.aqueviemos > h1 {
    text-transform: uppercase;
    color: #1DE0A0;
    padding: 0px 80px 10px 80px;
    font-size: 30px;
    font-weight: 300;
    
    
}
.aqueviemos > p {
    color: #f7f1e6;
    font-size: 18px;
    font-weight: 300;
    
}
strong {
    font-weight: 600;
}

 /*  Contato  */

.footer1 {
    min-height: 150px;
    background-color: #3C1C5B;
    color: #1DE0A0;
    text-align: center;

}


.footer1 > h1 {
    padding-top: 30px;
    padding-bottom: 5px;
   
    font-size: 24px;  
    font-weight: 700; 
}
.footer1 .endereco {
    color: #1DE0A0;
    text-decoration: none;
    font-size: 14px;
    font-weight: 400;  

}
.footer1 > p {  
    padding-bottom: 20px;
}



.footer1 > a {
    padding-top: 20px;
    text-decoration: none;
    font-size: 15px;
    font-weight: 400;
    color: #1DE0A0;
}


.footer1 a:hover {
   
    color: #e3fff6;
}

.botaoinsta {
    
    background-color: #3C1C5B;
    display: flex;
    padding-bottom: 35px;
    width: 100%;
}

.botaoinsta .instagram {
    
    width: 30px;
    cursor: pointer;  
}
    
.botaoinsta > a {
    margin: auto;
}


 /*  Rodapé  */


.footer2 {
    background-color: #371a55;
    color: rgba(201, 201, 201, 0.548);
    padding: 20px;
    font-size: 12px;
    text-align: center;
    margin: 0px;
}


@media (max-width: 540px) {
    header {
        height: 90px;
       
    }
 
    .logofilmes {
        width: 150px;
        margin: 18px;
        padding-top: 8px;   
    }
    .reeltexto > h1 {
    
        text-transform: uppercase;
        color: rgb(255, 255, 255);
        font-size: 25px;
        font-weight: 700;
        text-align: center;
        line-height: 35px;
        
    }
    .reeltexto > h2 {
    
        color: #ffb2da;
        padding: auto;
        font-size: 20px;
        font-weight: 300;
        text-align: center;
        line-height: 25px;
        
    }
    .videos {
        display: block;
        width: 100%;
    }
    .videomenor {
        width: 100%;
        height: 100%;
        margin-bottom: -5px;
    }
    
    .videomaior { 
        width: 100%; 
        height: 100%;
        margin-bottom: -5px;
        
    }
    .video-thumb > video {
        width: 100%;
        height: auto  
    }
    .videomenor::before {
        content: attr(data-text);
        font-size: 25px;
        font-weight: 600;
        text-shadow: 1px 5px 20px rgba(0, 0, 0, 0.397);
        position: absolute;
        top: 65%;
        left: 5%;
        width: 100%;
       
        color: #ffffffe3;
        display: block;
        padding-left: 15px;
        opacity: 1;
        transform: translateY(0px);
              
    }
    .videomaior::before {
        content: attr(data-text);
        font-size: 25px;
        font-weight: 600;
        text-shadow: 1px 5px 20px rgba(46, 22, 0, 0.5);
        position: absolute;
        top: 65%;
        left: 5%;
        width: 100%;
        
        color: #ffffffe3;
        display: block;
        padding-left: 15px;
        opacity: 1;
        transform: translateY(0px);
        transition: 0.4s;
    }
    
    .video-thumb::before {
        content: attr(data-text);
        font-size: 15px;
        font-weight: 300;
        text-shadow: 1px 5px 20px rgba(0, 0, 0, 0.425);
        position: absolute;
        top: 77%;
        left: 5%;
        width: 100%;
        
        color: #ffffffe3;
        display: block;
        padding-left: 15px;
        opacity: 1;
        transform: translateY(0px);
              
    }
    .quemsomos {
        max-width: 80%;
        display: block;
        margin: auto;
        justify-content: center;
        align-items: center;
        padding-bottom: 40px;
        border-bottom: 1px solid #f098c6;
        
    }
    
    .quemsomos > h1 {
        text-transform: uppercase;
        color: #1DE0A0;
        padding: 0px 80px 10px 80px;
        font-size: 25px;
        font-weight: 300;
        margin: auto;
        
    }
    
    .quemsomos > p {
        color: #f7f1e6;
        font-size: 18px;
        font-weight: 300;
    
    }
    .aqueviemos {
        max-width: 80%;
        justify-content: center;
        align-items: center;
        border-bottom: 1px solid #f098c6;
        margin: auto;
        padding-top: 40px;
        padding-bottom: 40px;
    
    }
    
    .aqueviemos > h1 {
        text-transform: uppercase;
        color: #1DE0A0;
        padding: 0px 80px 10px 80px;
        font-size: 25px;
        font-weight: 300;
        
        
    }
    .aqueviemos > p {
        color: #f7f1e6;
        font-size: 18px;
        font-weight: 300;    
    }
    .footer1 > h1 {
        padding-top: 30px;
        padding-bottom: 5px;
       
        font-size: 20px;  
        font-weight: 700; 
    }
    .footer1 .endereco {
        text-decoration: none;
        font-size: 12px;
    }
    .footer1 > p {
        padding-bottom: 10px;
        font-size: 14px;
        font-weight: 400;  
        text-decoration: none;
        
    }
    
    .footer1 > a {
        text-decoration: none;
        font-size: 13px;
        font-weight: 400;
        color: #1DE0A0;
    }

}